#!/usr/bin/python

# Convert kernel Documentation/.../00-INDEX to index.html

import os,sys

for dir in os.walk("Documentation"):
  if not "00-INDEX" in dir[2]: continue

  # Read input

  lines = open("%s/00-INDEX" % dir[0]).read()

  # Open output, write header and <pre> section (if any)
  out = open("%s/index.html" % dir[0], "w")
  out.write("<html>\n<title>%s</title>\n<body>\n<ul>\n" % dir[0])
  lines = lines.split("00-INDEX",1)
  if lines[0]: out.write("<pre>%s</pre>\n" % lines[0])
  lines = lines[1].split("\n")
  lines = map(lambda a: a.strip(), lines)
  lines[0] = "00-INDEX"

  idx = 0
  while idx<len(lines):
    if not lines[idx]:
      idx += 1
      continue
    out.write('<li><a href="%s">%s</a> %s</li>\n' % (lines[idx], lines[idx], lines[idx+1]))
    idx += 2
  out.write("</ul>\n</body>\n</html>\n")

